AutoCad :: Massprop For Arrayed Objects

May 19, 2013

I have a simple 3D cuboid that I used rectangle array on, 2 rows of 5 elements each. Anyways I then tried to use massprop on the 10 objects to get the combined volume.

But I get: "No solids or regions selected." whenever I select the arrayed objects. To create the initial object I offset an existing objects square face using "Offset Edge". Then I arrayed the resulting offsetted square shape. I then "Extruded" the shapes by editing the source.

View 3 Replies


ADVERTISEMENT

AutoCAD 2010 :: MASSPROP Centroid Algorithum

May 29, 2012

What algorithum is used to determine the centroid when the MASSPROP command is used?

Example, a 3D polyhedra defined by vertices:

2466.0975 2739.0486 2185.3153
0 2013.2174 0
3146.7943 1560.0472 2185.3153
1785.4008 1560.0472 172.0979
3146.7943 1560.0472 172.0979
2466.0975 2739.0486 23.2646

MASSPROP returns the centroid (2466.098, 1957.774, 1153.603).

I have used a second method to determine the centroid writen in Matlab code

>> P = [2466.0975 2739.0486 2185.3153
0 2013.2174 0
3146.7943 1560.0472 2185.3153
1785.4008 1560.0472 172.0979
3146.7943 1560.0472 172.0979

[Code] .....

This uses 'The Quickhull Algorithm for Convex Hulls' and returns the centroid (2095.20268741281, 2084.74098328248, 837.825401397925). There is a massive difference.

I have attached the example polyhedra.

View 2 Replies View Related

AutoCAD 2010 :: Arrayed Object Disappears

May 3, 2011

i'm having problem with array tool in acad2012. i draw a line, type array and hit enter. i put everything normally and hit enter when it says Enter to accept. then the line and arrayed object disappears. i don't know what's wrong with it. layers and everything is just as usual.

i did some other arrays in the same file before and they are working with no problem.

View 6 Replies View Related

AutoCad :: Separating / Unlinking Arrayed Object?

Dec 9, 2012

i am having some trouble in AutoCAD 2013... basically, i am making geometric shapes with polar arrayed circles and want to trim certain parts that cross. but because the array is treated as one object, it won't seem to let me trim anything on it. is there a way to separate or unlink the circles so they become separate objects?

View 4 Replies View Related

AutoCad :: Trimming Polar Arrayed Rectangle

Aug 4, 2012

I drew the polar arrayed rectangle as attached and tried to trim the inside lines to create an octagon but i cant trim the object.

However, if i try the same thing without polar arraying ( i.e just by drawing the two rectangles similarly) it works. I would like to know what might be causing this.

View 4 Replies View Related

AutoCAD Dynamic Blocks :: Array Command And Getting Total Arrayed Value?

Mar 16, 2012

Started to play with dynamic blocks now got my head around stretch and tables but I'm looking to use the array command

this is what I want to try to achive

I have a dynamic block which has a array command in it so by simply pulling on the arrow the block will array horizontally giving me multiple items side by side

what I want to do is count the array example if I insert the block and and array to say 12 items side by side then I want to get the value 12 placed into a block attribute which is part of the dynamic block

I can then pull this data out of the drawing into spreadsheet so I can then create a purchase list of items

My immediate thought was to divide the the total length by the width of the item to get me a count but I don't know yet how to get this to work in the dynamic block

View 6 Replies View Related

Revit :: Rotated Solid Not Cut By Arrayed Extrusion Void

Nov 27, 2013

I have created a simple pipe fitting family, a soil vent pipe terminal infact, but I cannot get the solid body created from a rotated profile to be cut by an arrayed extrusion void.  I keep getting the error message, 'Can't keep the elements joined'!  

View 2 Replies View Related

AutoCad :: Size And Shape Of All Objects Connecting The Objects To The Main Structure

Nov 22, 2012

I am very much new to AutoCad, but have learned quite a bit about it in the last few days. As a part of the learning I have been building a 3D model of the shed my dad is building. But I ran into a problem on the roof and cant seem to figure out how to click everything into place.

My problem: I need to keep the size and shape of all objects while also connecting the objects to the main structure. I need to keep A and B connected to the main structure and adjust the angles so that both meet at C. But if I move one then another moves out of place. (In the pic B is out of place) All I want to do is hold the beams at A and B in their spot while adjusting the rotation on both beams to meet at C all at the same time. I have tried to fine adjust the rotation on the beams individually but still cant get them together. I cant seem to get the constraints feature to work, because I guess it only works in 2D. I have tried to use the align tool but it just throws everything haywire.

View 6 Replies View Related

AutoCAD VB :: Converting AttributeDefinition Objects To Text Objects On Same Layer

May 9, 2013

I have several .dwg files that I use as templates. I run find and replace VBA routines on the template .dwg files, ie find $Flavor$ and replace it with "Grape", and then I save the .dwg to another directory with a new name. 

These VBA routines work well for acdbText and acdbMText objects, but I have a bunch of AcdbAttributeDefinition objects in the .dwg templates as well.

After much research about the AutoCAD object model (I'm mostly a Microsoft Access VBA programmer), I have come to understand that these AcdbAttributeDefinition objects are actually "remnants" of a block that no longer exists in the drawing.

Anyway, I'd like to convert all of these orphaned AcdbAttributeDefinition objects to acdbText objects in the templates and then delete the AcdbAttributeDefinition objects. I have some code that does just that.

However, the issue that I am having with the code is that the newly created acdbText objects are not on the same layer that the original AcdbAttributeDefinition objects were on. I don't know the syntax to identify what layer the AcdbAttributeDefinition object is on or how to specify what layer on which the acdbText object is created.

how to keep the acdbText objects on the same layers as the original AcdbAttributeDefinition objects during the conversion and deletion process?

Here is the code I am using currently:

Sub AttConvert(dwg as string)Dim oDocument as AcadDocumentDim ent as AcadEntityDim aa as objectset oDocument = Documents.open(dwg) For Each ent In oDocument.ModelSpace If ent.ObjectName = "AcDbAttributeDefinition" Then' DO SOMETHING TO IDENTIFY WHAT LAYER THE ACDBATTRIBUTEDEFINITION OBJECT IS ON
' DO SOMETHING TO SPECIFY THAT THAT IS THE LAYER TO CREATE THE ACDBTEXT OBJECT ON Set aa = ThisDrawing.ModelSpace.AddText(ent.TagString, ent.InsertionPoint, ent.Height) End If Next ent For Each ent In ThisDrawing.ModelSpace If ent.ObjectName = "AcDbAttributeDefinition" Then ent.Delete End If Next ent End Sub

View 1 Replies View Related

AutoCAD 2010 :: Aligning Objects In Modelspace With Objects In Paperspace?

Apr 10, 2012

I'd like to know how to align an object in model space with the edge of my viewport in paperspace.

When I draw, I like to lay out multiple complete drawings in model space, make an appropriately scaled bounding box around them, and then snap a view port to the bounding box in my layout. I usually have multiple drawings lined up in a row in modelspace, so when I want a new layout I do a Save As and then pan around in my viewport to find the next bounding box, at which point I have to resize the viewport to get it to snap to the edges nicely. I really want to be able to to it the otehr way around- while panning I'd like to be able to grab a corner of my modelspace bouding box and snap it to the the corresponding corner of my viewport window. That way making new layouts would be a snap. Is there a way to do this in AutoCAD 2012 LT?

View 4 Replies View Related

AutoCAD 2013 :: Select Objects Not Showing How Many Objects Found

May 2, 2013

A user is having problems when using the copy command in AutoCAD 2013.

When they select objects, its not reporting on the commandline how many objects its found or keeping a running total of objects selected. Not even any duplications...

I've tested it on my machine but i cannot replicate the issue and have never come across this before!

Is it a bug? Is it a variable? User setting etc.

View 9 Replies View Related

AutoCAD 2010 :: Selecting Objects BEHIND OR INSIDE Other 3D Objects

Jul 3, 2013

Something changed in my settings & I don't know how to chance it back. I can't click on to select objects inside or behind objects. What do I have to change to be able to select any item I click on regardless of where it is?

View 1 Replies View Related

AutoCad :: Convert Multiple Single Text Objects Into Multiple Mtext Objects

Jul 3, 2013

I have long used the following lisp to convert multiple single text objects into multiple mtext objects (i.e. make each text entity into separate mtext entities).

; T2M - convert individual Texts/Dtexts to individual MTexts
; modified by Xanadu - www.xanadu.cz
;
(defun C:T2M (/ ss i elist)

[Code]....

However, the mtext entity always moves position slightly (compared to the original text entity) after converting the object. better lisp that converts multiple text entities into mtext entities (which are all separate still, i.e. not joined together) without the position of the entity changing?

View 4 Replies View Related

Corel PHOTO-PAINT X6 :: Why Combine Objects Together Cut Bottom Side Of Combined Objects

Nov 27, 2012

Why combine objects together cut bottom side of combined objects?

system configuration:

Win 7 Pro 64bit, Intel i5-2500, 8 GB RAM, 128 SSD SAMSUNG + 2TB on hard drives.

corel version:

X6 VERSION: 16.4.0.1280

View 14 Replies View Related

Photoshop :: Compare Number Of Pixels Or Diameter Of Objects Across Images For Each Of 10 Objects

Apr 15, 2013

I am currently selecting 10 objects from a picture and then I delete the background. This leaves just the 10 objects of interest in the image.
 
I have hundreds of these images and would like to compare the number of pixels or diameter of the objects across the images for each of the 10 objects. Is there a way I can automate Photoshop to go through a directory of images and measure the pixels of each of the 10 objects, and then export those measurements to a file?

View 29 Replies View Related

Illustrator :: Can't Scale Objects / Requested Transformation Would Make Some Objects Too Small To Use

Jul 26, 2012

How does one remedy this Adobe error message? "Can't scale the objects. The requested transformation would make some objects too small to use." This one always gets me. I'll spend more time trying to find the object in question. This has happened in almost al versions, but this time it's CS5.

View 3 Replies View Related

CorelDRAW Graphics Suite X5 :: Vector Objects Behind Transparent Objects Turns Into Bitmaps When Exported

Aug 18, 2011

I often produce graphics in CorelDRAW, export it as en eps file and insert it inside a MS Word document as an image and finally convert it to pdf. This way my vector graphics (often linedrawings with or without fill) usually is preserved in the final pdf document. I can zoom in and the lines keep on displaying perfectly sharp. This is important, since it easily looks bad when thin lines are turned into bitmaps, even when watched from a distance.

Now, in some graphics I created today, I had a circle with fountain fill and outline (symbolizing a sphere) put behind a filled rectangle, which had a uniform transparency applied to it. In the resulting pdf file, the 'sphere' was turned into bitmap. Inside CorelDRAW everything was vector graphics, but something was loast in the process. what happens with the graphics in the different steps in the process and eventually could explain a workaround to make everything look as vector in the final pdf file.

View 14 Replies View Related

3ds Max :: Separate Objects To Make Them Individual Objects?

Apr 28, 2013

how to edit revit objects in 3dsMax. How do I separate objects to make them individual objects? In other words, when I try to select the roof, I get ALL objects that are "dimensional lumber" i.e. I joists, roof, fascia, etc.

I tried selecting a roof polygon and making a copy and editing it but still when I apply materials to this polygon they apply to all of the dimensional lumber. Probably because I made a copy as a clone but it didn't give me the "copy" option.

View 1 Replies View Related

Illustrator :: AI CS6 - Skewing Objects To Match Other Objects

Sep 22, 2013

There are 3 elements there. the top of the clap board was placed before i started tryinbg to create the slanted dashes that are on the average clapboards. The white dash was skewed using Object > Transform > Shear. Then i attempted to rotate it to fit.
 
I need 4 of these skwed white squares / trapezoids on the top along with 4 to match on the top of the larger potion of the clapboard. I do not want to eye it as it will be a part of a logo.
 
What would be the best method to use?Is there a way to draw the 4 rectangles on top of a perfectly horizontal long black rectangle and skew the white dashes at the same time?Is there a way to skew based on the dimensions of the longer black rectangle?

View 1 Replies View Related

Photoshop :: Texturing Certain Objects Onto Other Objects

Jan 23, 2004

Im wondering how to texture say a face with a motherboard, so that the motherboard takes the shading and everything of the face.

View 1 Replies View Related

3ds Max Modeling :: Adding Objects On Top Of Other Objects

Dec 22, 2011

I new to 3ds max and watched a bunch of tutorials, but I'm having trouble trying to do something simple like moving one box on top of another box.

For example, I created a table and now I want to create a lamp and put it on the table. Is there some way I can just move the lamp and have it snap to the surface of the table when it's near?

View 3 Replies View Related

AutoCAD LT :: Cannot See Objects While Moving

Aug 30, 2013

I recently started a trial for a program called PDF2CAD, the test file I converted worked fine. Everything is selectable and editable. When I move something it does show up while moving/copying. However, when I make additions to the drawing, text for example, and try to move/copy it it does not show up while moving.

PDF2CAD converted the PDF to a DXF format, which I then saved as a DWG.

DRAGMODE - Auto

DRAGP1 - 5000

DRAGP2 - 10

HIGHLIGHT - 1

View 9 Replies View Related

AutoCAD .NET :: Getting All Objects Between Two Points?

Mar 11, 2013

Is there any way of getting ALL objects a Line/ray intersects with?

I am thinking of something like:

*Pseudocode*
Ray ray = new Ray();ray.To = dest;ray.From = start;
ray.Fire();var obj = ray.GetFirstHitObject(); /* or null if nothing */// continue here //

 I don't even need the object, a simple true if it hits something, or false if not is enough for me.

View 9 Replies View Related

AutoCAD Map 3D :: Plain Objects To MAP

Jul 1, 2011

I have received a DWG with plain CAD objects e.g. open polylines (defining linear water features) and closed polylines (defining land use areas) and I need to use this info in map for buffer/overlay analysis.

How do I go about preparing this data for use in MAP as described

View 8 Replies View Related

AutoCad 3D :: How Objects Are Related One To Another

Sep 4, 2011

I am looking for a way to show how objects are related one to another, how piece A fit on piece B, different cuttings and so on.

View 9 Replies View Related

AutoCAD LT :: Some Objects Are Grey?

Aug 14, 2012

When I open up my AutoCad LT some of the items are grey, but when I open the same drawing in my regular autocad everything is in their normal colors.  What setting is causing this?  See attached picture.

View 8 Replies View Related

AutoCad :: Objects Not Visible In 3D

Sep 30, 2011

I'm having a problem where in 3D/model mode certain objects are sometimes not visible. A lot of times they show when I'm zoomed out, but then they disappear when I zoom in on the model. It happens with AEC objects like windows (strangely it will often be one window and not the rest of the windows), but it mostly happens with 3D solids that would be in vanilla AutoCAD.

View 3 Replies View Related

AutoCad :: All Objects On One Layer?

May 8, 2012

All the items are on one layer and i need to seperate them, i had to xref the drawing but i opened the original to double check and even there the objects are all on the same layer.

View 9 Replies View Related

AutoCad 2D :: How To Add Transparency To Objects

Apr 20, 2011

I have never used this feature of autocad. I was messing around with it today with no luck. I went to help file and typed transparency and it showed how to add transparency to objects. I selected two similar lines and added 90% transparency on one of them. They both remained the same and plotted the same.

View 7 Replies View Related

AutoCad :: Dimensions On 3D Objects

Dec 5, 2011

I have made a few cabinets (in 3d) on Autocad, but I was just wondering if there is a function that can tell you how large each of the pieces are in each direction (Have originally drawn in 2d and then extruded). Either each piece individually or a group summary.

Even if I go to the properties of each piece, it only gives me the extruded height (i.e. only a value in the Z-direction, gives 0 in the X and Y).

Is there any way to do this apart from the normal linear dimension function?

View 1 Replies View Related

AutoCAD 2010 :: How To Use AEC Objects

Jul 24, 2012

I am currently using AutoCAD Architecture at work which allows me to use AEC "smart" objects (walls, windows, doors). This is a staple in my AutoCAD experience. I am planning on branching off and starting my own business and was hoping to only purchase AutoCAD LT, vs the mega expensive ACA, seeing as I don't use any of the other 3D tools. Is there any way to use these AEC objects with AutoCAD 2012? or even AutoCAD LT? Or are these tools exclusive to ACA?

View 2 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved